### Method

# Foundry BuildStage find_build_flags

#### Declaration [src]

    DexFuture*
    foundry_build_stage_find_build_flags (
      FoundryBuildStage* self,
      GFile* file
    )

#### Description [src]

Locates the compiler flags used to when compiling `file`.

Most build stages will not know about any build flags and therefore do not need to implement this function.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryBuildFlags`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.